Ignore:
Timestamp:
01/27/14 18:33:28 (6 years ago)
Author:
mistic100
Message:

remove *_version_compare methods in languages & plugins & themes classes, unused and outdated (preg_replace /e modifier)

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/admin/include/languages.class.php

    r26461 r26998  
    403403   * Sort functions 
    404404   */ 
    405   function language_version_compare($a, $b) 
    406   { 
    407     $pattern = array('/([a-z])/ei', '/\.+/', '/\.\Z|\A\./'); 
    408     $replacement = array( "'.'.intval('\\1', 36).'.'", '.', ''); 
    409  
    410     $array = preg_replace($pattern, $replacement, array($a, $b)); 
    411  
    412     return version_compare($array[0], $array[1], '>='); 
    413   } 
    414  
    415405  function extension_name_compare($a, $b) 
    416406  { 
Note: See TracChangeset for help on using the changeset viewer.